plist-cil 1.13.0.0 1.14.0.0 System.Object

Parses property lists that are in Apple's binary format. Use this class when you are sure about the format of the property list. Otherwise use the PropertyListParser class.

Parsing is done by calling the static , and methods.

To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  Protected constructor so that instantiation is fully controlled by the static parse methods.
  To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Byte[] `` `` `` The source array. The index from which to start copying. The index until which to copy. Copies a part of a byte array into a new array. The copied array. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject `` The binary property list's data. Parses a binary property list from a byte array. The root object of the property list. This is usually a NSDictionary but can also be a NSArray. To be added. When the property list's format could not be parsed.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject `` The binary property list file Parses a binary property list file. The root object of the property list. This is usually a NSDictionary but can also be a NSArray. To be added. When the property list's format could not be parsed.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject `` The input stream that points to the property list's data. Parses a binary property list from an input stream. The root object of the property list. This is usually a NSDictionary but can also be a NSArray. To be added. When the property list's format could not be parsed.
- Method
  1.13.0.0
  1.14.0.0
  System.Double `` The bytes representing the double. Parses a double from a (big-endian) byte array. The double represented by the given bytes. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Double `` `` `` The bytes representing the double. Beginning of the double in the byte array. End of the double in the byte array. Parses a double from a (big-endian) byte array. The double represented by the given bytes. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int64 `` The bytes representing the long integer. Parses a long from a (big-endian) byte array. The long integer represented by the given bytes. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int64 `` `` `` The bytes representing the long integer. Beginning of the long in the byte array. End of the long in the byte array. Parses a long from a (big-endian) byte array. The long integer represented by the given bytes. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int64 `` The unsigned integer represented by the given bytes. Parses an unsigned integers from a byte array. The byte array containing the unsigned integer. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int64 `` `` `` The byte array containing the unsigned integer. Beginning of the unsigned int in the byte array. End of the unsigned int in the byte array. Parses an unsigned integer from a byte array. The unsigned integer represented by the given bytes. To be added.